summaryrefslogtreecommitdiff
path: root/tests/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run-tests.sh')
-rwxr-xr-xtests/run-tests.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/tests/run-tests.sh b/tests/run-tests.sh
index 6cebbe7..0434b89 100755
--- a/tests/run-tests.sh
+++ b/tests/run-tests.sh
@@ -2,11 +2,15 @@ PARSECMD=../build/parse
PARSEFILE=" "
parse () {
- $PARSECMD -in $1-test.tnsl -out $1-test.tnt
+ echo "ATTEMPTING TO PARSE $1-test.tnsl"
+ $PARSECMD $2 -in $1-test.tnsl -out $1-test.tnt
+ if [ $? -eq 0 ]; then
+ echo "SUCCESS!"
+ fi
}
-parse block
-parse comment
-parse literal
-parse parameter
-parse statement \ No newline at end of file
+parse block "$1"
+parse comment "$1"
+parse literal "$1"
+parse parameter "$1"
+parse statement "$1"